package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * SimQuotaSetting
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SimQuotaSetting   {
  @JsonProperty("dataSetting")
  private QuotaDataSettingOpenApiVo dataSetting;

  @JsonProperty("smsSetting")
  private QuotaSmsSettingOpenApiVo smsSetting;

  public SimQuotaSetting dataSetting(QuotaDataSettingOpenApiVo dataSetting) {
    this.dataSetting = dataSetting;
    return this;
  }

  /**
   * Get dataSetting
   * @return dataSetting
  */
  @ApiModelProperty(value = "")

  @Valid

  public QuotaDataSettingOpenApiVo getDataSetting() {
    return dataSetting;
  }

  public void setDataSetting(QuotaDataSettingOpenApiVo dataSetting) {
    this.dataSetting = dataSetting;
  }

  public SimQuotaSetting smsSetting(QuotaSmsSettingOpenApiVo smsSetting) {
    this.smsSetting = smsSetting;
    return this;
  }

  /**
   * Get smsSetting
   * @return smsSetting
  */
  @ApiModelProperty(value = "")

  @Valid

  public QuotaSmsSettingOpenApiVo getSmsSetting() {
    return smsSetting;
  }

  public void setSmsSetting(QuotaSmsSettingOpenApiVo smsSetting) {
    this.smsSetting = smsSetting;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SimQuotaSetting simQuotaSetting = (SimQuotaSetting) o;
    return Objects.equals(this.dataSetting, simQuotaSetting.dataSetting) &&
        Objects.equals(this.smsSetting, simQuotaSetting.smsSetting);
  }

  @Override
  public int hashCode() {
    return Objects.hash(dataSetting, smsSetting);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SimQuotaSetting {\n");
    
    sb.append("    dataSetting: ").append(toIndentedString(dataSetting)).append("\n");
    sb.append("    smsSetting: ").append(toIndentedString(smsSetting)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

